using APT.Infrastructure.Core;
using APT.MS.Domain.Enums.SK;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("隐患描述")]
    public class T_SK_ENTERPRISE_LIBRARY_TEMP_HIDDEN : MesEntityBase
    {
        /// <summary>
        /// 企业库
        /// </summary>
        [Description("企业库")]
        [DataFieldForeignKey("Nav_Library", "Nav_Hiddens")]
        public Guid ENTERPRISE_LIBRARY_TEMP_ID { get; set; }

        /// <summary>
        /// 导航属性：企业库
        /// </summary>
        [Description("导航属性：企业库")]
        public T_SK_ENTERPRISE_LIBRARY_TEMP Nav_Library { get; set; }

        [Description("顺序")]
        public int? NUM { get; set; }

        [Description("编号")]
        public string CODE { get; set; }

        [Description("措施编号")]
        public string MEASURE_CODE { get; set; }

        [Description("内容编号")]
        public string CONTENT_CODE { get; set; }

        /// <summary>
        /// 隐患描述
        /// </summary>
        [Description("隐患描述")]
        public string HIDDEN_DESCRIPTION { get; set; }
        /// <summary>
        /// 隐患等级
        /// </summary>
        [Description("隐患等级")]
        public SKHiddenLevel HIDDEN_LEVEL { get; set; }
        /// <summary>
        /// 整改措施
        /// </summary>
        [Description("整改措施")]
        public string RECTIFICATION_MEASURES { get; set; }
    }
}
